DRM_VMA_OFFSET_LOOKU(9)

NAME
drm_vma_offset_lookup_locked - Find node in offset space

SYNOPSIS

struct drm_vma_offset_node * drm_vma_offset_lookup_locked(struct drm_vma_offset_manager * mgr, unsigned long start, unsigned long pages);

ARGUMENTS

mgr
    Manager object

start
    Start address for object (page-based)

pages
    Size of object (page-based)

DESCRIPTION

Same as drm_vma_offset_lookup but requires the caller to lock offset lookup manually. See drm_vma_offset_lock_lookup for an example.

RETURNS

Returns NULL if no suitable node can be found. Otherwise, the best match is returned.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT